com.independentsoft.exchange

## Enum BodyType

- java.lang.Object
- - java.lang.Enum<BodyType>
  - - com.independentsoft.exchange.BodyType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BodyType>

      public enum BodyType
      extends java.lang.Enum<BodyType>

  Identifies how the body text is formatted in the response.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEST` Best
    `HTML` Html.
    `NONE` None.
    `TEXT` Text

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BodyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BodyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HTML

          public static final BodyType HTML

      Html.

    - #### TEXT

          public static final BodyType TEXT

      Text

    - #### BEST

          public static final BodyType BEST

      Best

    - #### NONE

          public static final BodyType NONE

      None.

  - ### Method Detail

    - #### values

          public static BodyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BodyType c : BodyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BodyType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null